package dam.com.es;

import java.io.BufferedReader;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.ArrayList;


public class Main {
	
	 public static void main(String[] args) throws IOException, ClassNotFoundException {
		 
		 mostrarPersonas();
	 }
	
    public static void mostrarPersonas() throws IOException, ClassNotFoundException {
        File fichero = new File("C:\\\\Users\\\\kevin\\\\Documents\\\\Actividad8_1\\\\FichPersona.dat");
        FileInputStream fileinput = null;
        try {
        	fileinput = new FileInputStream(fichero);//Creamos un FileInputStream con la ruta de "fichero"
        } catch (FileNotFoundException e) {
            throw new RuntimeException(e);
        }
        ObjectInputStream dataIS = null;
        try {
            dataIS = new ObjectInputStream(fileinput);//Creamos el ObjectInputStream que tendra el FileInputStream con la ruta de "fichero"
        } catch (IOException ioe) {
        	System.out.println("Error");
        }

        String[] nombres;
        int[] edades;
        //Lee los datos del archivo creado en la otra actividad con el readObject()
        nombres = (String[]) dataIS.readObject();
        edades = (int[]) dataIS.readObject();
        
        ArrayList<Persona> personas = new ArrayList<>();//Creamos la lista que tendra las personas del archivo creado en la otra actividad

        //Recorremos los datos de las personas "nombre" y "edad" y se crean y añaden 
        for (int i = 0; i < nombres.length; i++) {
            personas.add(new Persona(nombres[i], edades[i]));
        }

        //Se muestran las personas por pantalla
        for (int i = 0; i < personas.size(); i++) {
            System.out.println("Nombre: " + personas.get(i).getNombre());
            System.out.println("  Edad: " + personas.get(i).getEdad());
            System.out.println();//Como separador
            
        }
        dataIS.close();//Cerramos el ObjectInputStream()

    }
}
